@import url('https://fonts.googleapis.com/css2?family=Anton&family=Lobster&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

/* 
font-family: "Roboto", sans-serif; Texto
font-family: "Anton", sans-serif; Link
font-family: "Lobster", sans-serif; Titulo
*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
html {
    height: 100%;
    font-family: "Roboto", sans-serif;
}

.dashboard {
    display: flex;
    min-height: 100vh;
}

/* Sidebar */
.sidebar {
    width: 250px;
    background-color: #401334;
    color: #ecf0f1;
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.sidebar-header {
    text-align: center;
    margin-bottom: 30px;
}

.user-photo {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    margin-bottom: 10px;
}

button {
    font-family: "Anton", sans-serif;
}

#logout {
    margin-top: 10px;
    padding: 2px;
    border: none;
    background-color: transparent;
    color: white;
    cursor: pointer;
    border-radius: 50px;
}

#logout img {
    width: 50px;
    height: 50px;
    border: solid #ffffff 2px;
    border-radius: 50px;
}

#logout img:hover {
    border: solid #ffffff 4px;
}

.menu {
    list-style: none;
}

.menu li {
    padding: 15px 10px;
    cursor: pointer;
    border-radius: 5px;
    margin-bottom: 5px;
    transition: background-color 0.3s;
}

.menu li:hover {
    background-color: #8C3A67;
}

/* Main Content */
.main-content {
    flex: 1;
    padding: 20px;
    background-color: #ecf0f1;
    overflow-y: auto;
}

.screen {
    display: none;
}

.screen.active {
    display: block;
}

h2 {
    margin-bottom: 15px;
    text-align: center;
    font-size: 40px;
    font-family: "Lobster", sans-serif;
    color: #401334;
    border-bottom: #401334 solid 5px;
    border-right: #8C3A67 solid 5px;
}

.buttons {
    margin-bottom: 15px;
}

.buttons button {
    padding: 8px 15px;
    margin-right: 10px;
    margin-bottom: 5px;
    border: none;
    border-radius: 5px;
    background-color: #8C3A67;
    color: white;
    cursor: pointer;
    transition: background-color 0.3s;
}

.buttons button:hover {
    background-color: #401334;
}

/* Tabela */
.data-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

.data-table th,
.data-table td {
    border: 1px solid #8C3A67;
    padding: 8px;
    text-align: left;
}

.data-table th {
    background-color: #401334;
    color: white;
}

.data-table td button {
    background: #401334;
    color: #ffffff;
    padding: 5px 10px;
    border: none;
    border-radius: 5px;
    transition: color 0.3s;
}
.data-table td button:hover {
    color: #8C3A67;
}

/* Formulário */
.data-form {
    display: none;
    margin-bottom: 20px;
    background-color: #fff;
    padding: 15px;
    border-radius: 5px;
}

.data-form input {
    width: calc(100% - 20px);
    margin-bottom: 10px;
    padding: 8px;
}

.data-form button {
    padding: 8px 15px;
    margin-right: 10px;
    border: none;
    border-radius: 5px;
    background-color: #401334;
    color: white;
    cursor: pointer;
}

.data-form button:hover {
    background-color: #8C3A67;
}

/* Rodapé */
footer {
    text-align: center;
    padding: 10px;
    background-color: #401334;
    color: #ecf0f1;
    position: fixed;
    bottom: 0;
    width: calc(100% - 250px);
    left: 250px;
    font-family: "Anton", sans-serif;
}